Subject: Re: [PATCH v2 0/4] builtin add -p: hopefully final readkey fixes

From: Phillip Wood <[email-masked]>
Date: Thu, 10 Mar 2022 16:08:23 +0000

Hi Dscho

On 10/03/2022 13:25, Johannes Schindelin wrote:
> Hi Phillip,
> 
> On Wed, 9 Mar 2022, Phillip Wood wrote:
> 
>> From: Phillip Wood <[email-masked]>
>>
>> Thanks to Ramsay and Ævar for their comments on V1.
>> Changes since V1:
>>   * Patch 1
>>     - use an enum for save_term()'s flags (suggested by Ævar)
>>     - fixed argument order in the windows code (thanks to Ramsay)
>>   * Patch 2
>>     - fixed a typo in a comment (thanks to Ramsay)
>>   * Patch 4
>>     - stopped duplicating the strings returned by gettext() (suggested by
>>       Ævar)
>>     - reworked error message handling in the signal handler to add an
>>       "error: " prefix (suggested by Ævar)
>>     - tweaked the background resume error message
> 
> While I did not ask for any of these changes, they look good to me. I had
> a look over the range-diff and found it reasonable.
> 
> Onwards to a bright built-in `add -p` future!

Hopefully! I spotted a couple more small issues earlier so there will be 
a v3 soonish

Best Wishes

Phillip